<?php
 
error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname (__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

$config['charset'] = "windows-1251";
$db_charset = "cp1251";
$db_collate = "cp1251_general_ci";

require_once(ENGINE_DIR.'/inc/include/functions.inc.php');
include ENGINE_DIR.'/classes/mysql.php';
require_once(ENGINE_DIR.'/data/dbconfig.php');
require_once(ENGINE_DIR.'/data/config.php');

$tableSchema = array();

$tableSchema[] = "DROP TABLE IF EXISTS `" . PREFIX . "_linklogo`;";
$tableSchema[] = "CREATE TABLE `" . PREFIX . "_linklogo` (
  `id` int(11) NOT NULL auto_increment,
  `logo` varchar(255) NOT NULL default '',
  `link` varchar(255) NOT NULL default '',
  `icq` varchar(255) NOT NULL default '',
  `mail` varchar(255) NOT NULL default '',
  `posit` smallint(5) NOT NULL default '1',
  `description` varchar(255) default NULL,
  `bold` char(1) NOT NULL default '',
  `color` varchar(6) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MYISAM DEFAULT CHARSET=cp1251";

$tableSchema[] = "DROP TABLE IF EXISTS `" . PREFIX . "_linklogo_setting`;";
$tableSchema[] = "CREATE TABLE `" . PREFIX . "_linklogo_setting` (
  `id` varchar(5) NOT NULL default '',
  `text` text character set cp1251 NOT NULL,
  `showchecked` varchar(5) NOT NULL default ''
) ENGINE=MYISAM DEFAULT CHARSET=cp1251";

$tableSchema[] = "INSERT INTO `" . PREFIX . "_admin_sections` (`name`, `title`, `descr`, `icon`, `allow_groups`) VALUES ('linklogo', ' ', ',    ', 'linklogo.png', '1')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo VALUES ('1', 'http://dlepro.com/dlepro.gif', 'http://dlepro.com/', '9277210', 'dleprocom@gmail.com', '0', ':      CMS DataLife Engine,    DLE  ,     Sape.ru', '', '1176CC')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo VALUES ('2', 'http://static.sape.ru/common/img/bn/18.gif', 'http://www.sape.ru/r.rWTnPOaMbX.php', '9277210', 'dleprocom@gmail.com', '0', 'Sape.ru -     .        .', '', '1176CC')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('1', '         .', '1')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('2', '     .', '')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('3', '', '')";

      foreach($tableSchema as $table) {
        $db->query($table);
      }

echo <<<HTML

<html>
<head>
<meta content="text/html; charset=windows-1251" http-equiv=Content-Type>
<style>
body{ 
	font-family: tahoma;
	font-size: 11px;
	margin: 0;
	padding: 0; /* required for Opera to have 0 margin */
}

a {
	color: #1176CC;
	text-decoration: none;
}

.errorwrap {
	background: #F2DDDD;
	border: 1px solid #992A2A;
	border-top: 0;
	margin: 5px;
	padding: 0;
}

.errorwrap h4 {
	background: #E3C0C0;
	border: 1px solid #992A2A;
	border-left: 0;
	border-right: 0;
	color: #992A2A; 
	font-size: 12px;
	font-weight: bold; 
	margin: 0;
	padding: 5px;
}
.errorwrap h3 {
	background: transparent;
	border: 0;
	color: #000000;
	margin: 0;
	padding-left:8px;
	padding:4px;
	font-size: 20px;
}
.errorwrap p {
	background: transparent;
	border: 0;
	color: #992A2A;
	margin: 0;
	padding: 8px;
	font-size: 11px;
}
</style>
<title>    - Datalife Engine</title>
</head>
<body>
<br /><br /><br /><br /><br /><br /><br /><br /><br />
<table border="0" width="600" cellspacing="0" cellpadding="0" align="center">
<tr>
<td width="100%">
<div class="errorwrap">
<h4> ...</h4>
<p>:   <font color="#FF0000"><B>install.php</B></font>  FTP.</p>
</div>
<br /><br />
</td>
</tr>
</table>

</body>
</html>

HTML;
?>